#GIT_CMT=9954bd61e623c14d7aa3f440ba32bbc6bc86f38a
Name:           seabios
Version:        1.10.2
Release:    4.el7.1
Summary:        Open-source legacy BIOS implementation

Group:          Applications/Emulators
License:        LGPLv3
URL:            http://www.coreboot.org/SeaBIOS


Source0: seabios-1.10.2.tar.bz2

Source10:       config.vga.cirrus
Source11:       config.vga.isavga
Source12:       config.vga.qxl
Source13:       config.vga.stdvga
Source14:       config.vga.vmware
Source15:       config.base
Source16:       config.base-256k
Source17:       config.vga.virtio

BuildRequires: python iasl
ExclusiveArch: x86_64 %{power64}

Requires: %{name}-bin = %{version}-%{release}
Requires: seavgabios-bin = %{version}-%{release}

# Seabios is noarch, but required on architectures which cannot build it.
# Disable debuginfo because it is of no use to us.
%global debug_package %{nil}

# You can build a debugging version of the BIOS by setting this to a
# value > 1.  See src/config.h for possible values, but setting it to
# a number like 99 will enable all possible debugging.  Note that
# debugging goes to a special qemu port that you have to enable.  See
# the SeaBIOS top-level README file for the magic qemu invocation to
# enable this.
%global debug_level 1


%description
SeaBIOS is an open-source legacy BIOS implementation which can be used as
a coreboot payload. It implements the standard BIOS calling interfaces
that a typical x86 proprietary BIOS implements.


%package bin
Summary: Seabios for x86
BuildArch: noarch

%description bin
SeaBIOS is an open-source legacy BIOS implementation which can be used as
a coreboot payload. It implements the standard BIOS calling interfaces
that a typical x86 proprietary BIOS implements.


%package -n seavgabios-bin
Summary: Seavgabios for x86
BuildArch: noarch

Obsoletes: vgabios < 0.6c-10
Provides: vgabios = 0.6c-10


%description -n seavgabios-bin
SeaVGABIOS is an open-source VGABIOS implementation.


%prep
%setup -q

%build
%ifarch x86_64
export CFLAGS="$RPM_OPT_FLAGS"
mkdir binaries

build_bios() {
    make clean distclean
    cp $1 .config
    echo "CONFIG_DEBUG_LEVEL=%{debug_level}" >> .config
    make oldnoconfig V=1 EXTRAVERSION="-%release"

    make V=1 $4 EXTRAVERSION="-%release"

    cp out/$2 binaries/$3
}


# seabios 128k
build_bios %{SOURCE15} bios.bin bios.bin

# seabios 256k
build_bios %{SOURCE16} bios.bin bios-256k.bin

# seavgabios
for config in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE17}; do
	name=${config#*config.vga.}
    build_bios ${config} vgabios.bin vgabios-${name}.bin out/vgabios.bin
done


%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/seabios
mkdir -p $RPM_BUILD_ROOT%{_datadir}/seavgabios
install -m 0644 binaries/bios*.bin $RPM_BUILD_ROOT%{_datadir}/seabios
install -m 0644 binaries/vgabios*.bin $RPM_BUILD_ROOT%{_datadir}/seavgabios


%files
%doc COPYING COPYING.LESSER README


%files bin
%dir %{_datadir}/seabios/
%{_datadir}/seabios/bios*.bin

%files -n seavgabios-bin
%dir %{_datadir}/seavgabios/
%{_datadir}/seavgabios/vgabios*.bin
%endif

%changelog
* Mon Nov 20 2017 Ameya More <ameya.more@oracle.com> - 1.10.2-4.el7.1
- BUILDINFO: commit=9954bd61e623c14d7aa3f440ba32bbc6bc86f38a
- Increment seabios version to 1.10.2-4 (Ameya More)  

* Wed Nov 01 2017 Ameya More <ameya.more@oracle.com> - 1.10.2-3.1
- BUILDINFO: commit=5f48ce7de42c47efdd1182af4898cadbf47d24cf
- virtio: Allocate drive_s storage in low memory

